org.appng.openapi.model

## Class Field

- java.lang.Object
- - org.appng.openapi.model.Field

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Field
      extends Object

  A field that is part of a datasource.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_FIELD_TYPE`
    `static String` | `JSON_PROPERTY_FIELDS`
    `static String` | `JSON_PROPERTY_FORMAT`
    `static String` | `JSON_PROPERTY_LABEL`
    `static String` | `JSON_PROPERTY_NAME`
    `static String` | `JSON_PROPERTY_RULES`
    `static String` | `JSON_PROPERTY_SORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Field()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Field` | `addRulesItem(ValidationRule rulesItem)`
    `boolean` | `equals(Object o)`
    `Field` | `fields(Map<String,Field> fields)`
    `Field` | `fieldType(FieldType fieldType)`
    `Field` | `format(String format)`
    `Map<String,Field>` | `getFields()` The child fields of this field.
    `FieldType` | `getFieldType()` Get fieldType
    `String` | `getFormat()` The format for this field, depending on its type.
    `String` | `getLabel()` The label for this field.
    `String` | `getName()` The name for this field.
    `List<ValidationRule>` | `getRules()` The validation rules that should be applied for this field.
    `Sort` | `getSort()` Get sort
    `int` | `hashCode()`
    `Field` | `label(String label)`
    `Field` | `name(String name)`
    `Field` | `putFieldsItem(String key, Field fieldsItem)`
    `Field` | `rules(List<ValidationRule> rules)`
    `void` | `setFields(Map<String,Field> fields)`
    `void` | `setFieldType(FieldType fieldType)`
    `void` | `setFormat(String format)`
    `void` | `setLabel(String label)`
    `void` | `setName(String name)`
    `void` | `setRules(List<ValidationRule> rules)`
    `void` | `setSort(Sort sort)`
    `Field` | `sort(Sort sort)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_NAME

          public static final String JSON_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LABEL

          public static final String JSON_PROPERTY_LABEL

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FIELD_TYPE

          public static final String JSON_PROPERTY_FIELD_TYPE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_SORT

          public static final String JSON_PROPERTY_SORT

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FORMAT

          public static final String JSON_PROPERTY_FORMAT

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_RULES

          public static final String JSON_PROPERTY_RULES

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FIELDS

          public static final String JSON_PROPERTY_FIELDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Field

          public Field()

  - ### Method Detail

    - #### name

          public Field name(String name)

    - #### getName

          public String getName()

      The name for this field.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### label

          public Field label(String label)

    - #### getLabel

          @Nullable
          public String getLabel()

      The label for this field.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### fieldType

          public Field fieldType(FieldType fieldType)

    - #### getFieldType

          public FieldType getFieldType()

      Get fieldType
      Returns:
        fieldType

    - #### setFieldType

          public void setFieldType(FieldType fieldType)

    - #### sort

          public Field sort(Sort sort)

    - #### getSort

          @Nullable
          public Sort getSort()

      Get sort
      Returns:
        sort

    - #### setSort

          public void setSort(Sort sort)

    - #### format

          public Field format(String format)

    - #### getFormat

          @Nullable
          public String getFormat()

      The format for this field, depending on its type.
      Returns:
        format

    - #### setFormat

          public void setFormat(String format)

    - #### rules

          public Field rules(List<ValidationRule> rules)

    - #### addRulesItem

          public Field addRulesItem(ValidationRule rulesItem)

    - #### getRules

          @Nullable
          public List<ValidationRule> getRules()

      The validation rules that should be applied for this field.
      Returns:
        rules

    - #### setRules

          public void setRules(List<ValidationRule> rules)

    - #### fields

          public Field fields(Map<String,Field> fields)

    - #### putFieldsItem

          public Field putFieldsItem(String key,
                                     Field fieldsItem)

    - #### getFields

          @Nullable
          public Map<String,Field> getFields()

      The child fields of this field.
      Returns:
        fields

    - #### setFields

          public void setFields(Map<String,Field> fields)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.